## dolfin 2019.2.0~git20200629.946dbd3

=== debian/changelog ===
dolfin (2019.2.0~git20200629.946dbd3-1) unstable; urgency=medium

  * New upstream snapshot.
    - applies debian patch function_MeshView_f0a90b8.diff

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2020 00:40:10 +0800

dolfin (2019.2.0~git20200218.027d9cc-18) unstable; urgency=medium

  * debian patch pybind11_lto_mips64el.patch disables LTO linking
    with pybind11 on mips64el (applies -fno-lto when building python
    extensions on mips64el).

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Sep 2020 17:05:28 +0800

dolfin (2019.2.0~git20200218.027d9cc-17) unstable; urgency=medium

  * swap python3-dolfin Depends/Recommends relationships with
    python3-dolfin[64]-real. Make python3-dolfin primary
    (defaulting to standard 32-bit build)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Aug 2020 23:02:47 +0800

dolfin (2019.2.0~git20200218.027d9cc-16) unstable; urgency=medium

  * define petsc64:Depends (PETSc/SLEPc dependencies for libdolfin64-dev)

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Aug 2020 20:17:07 +0800

dolfin (2019.2.0~git20200218.027d9cc-15) unstable; urgency=medium

  * debian patch lib_rename.patch appends DOLFIN_LIB_NAME_EXT to the
    dolfin library name in DOLFINConfig.cmake, to allow cmake to find
    libdolfin64.so (cmake -DDOLFIN_LIB_NAME_EXT=64) rather than
    libdolfin.so
  * make mathjax handling independent of version

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Aug 2020 14:05:11 +0800

dolfin (2019.2.0~git20200218.027d9cc-14) unstable; urgency=medium

  * add debian patch test_floating_point.patch to use pytest.approx to
    test equality of floating point numbers (in geometry/test_point.py)
    Needed to pass non-intel (arm64, ppc64el) tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Aug 2020 14:52:01 +0800

dolfin (2019.2.0~git20200218.027d9cc-13) unstable; urgency=medium

  * disable dolfin64 tests in debian/tests (autopkgtest).
    They are known to fail. Reinstate once they are passing.
  * mark libdolfin-dev, libdolfin64-dev as Multi-Arch: same
  * mark libdolfin-dev-common Architecture: all and Multi-Arch: foreign
  * remove FindEigen3.cmake from FindMPFR.cmake entry in debian/copyright
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Aug 2020 22:10:12 +0800

dolfin (2019.2.0~git20200218.027d9cc-12) unstable; urgency=medium

  * add mipsel to 32-bit arch list skipping some 64-bit tests,
    including demo_contact-vi-snes_serial, demo_sym-dirichlet-bc_serial

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jul 2020 15:05:17 +0800

dolfin (2019.2.0~git20200218.027d9cc-11) experimental; urgency=medium

  * skip demo_contact-vi-snes_serial in 64-bit tests on armel, armhf

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Jul 2020 09:19:12 +0800

dolfin (2019.2.0~git20200218.027d9cc-10) experimental; urgency=medium

  * update list of 64-bit tests skipped on 32-bit arches:
      demo_mixed-poisson_serial
      demo_stokes-taylor-hood_serial
      demo_auto-adaptive-navier-stokes_serial
      demo_multimesh-stokes_serial

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jul 2020 12:33:07 +0800

dolfin (2019.2.0~git20200218.027d9cc-9) experimental; urgency=medium

  * append 64-bit tests to skip on 32-bit arches, append to
    ARCH_SPECIFIC_SKIP_SERIAL_TEST_64
  * libdolfin-dev-common Replaces and Breaks:
    libdolfin-dev (<< 2019.2.0~git20200218.027d9cc-7)
    Add corresponding versioned depends for libdolfin-dev on
    libdolfin-dev-common (>= 2019.2.0~git20200218.027d9cc-7)
    Closes: #965005.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jul 2020 23:34:19 +0800

dolfin (2019.2.0~git20200218.027d9cc-8) experimental; urgency=medium

  * skip 64-bit build-time tests of
      demo_mixed-poisson_serial
      demo_stokes-taylor-hood_serial
      demo_contact-vi-snes_serial
      demo_multimesh-stokes_serial
    on 32 bit arches (armel armhf i386 hppa m68k powerpc)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jul 2020 11:47:03 +0800

dolfin (2019.2.0~git20200218.027d9cc-7) experimental; urgency=medium

  * new packages libdolfin64-dev, python3-dolfin64-real provide DOLFIN
    built against 64-bit PETSc (64-bit indexing). Set
    PETSC_DIR=/usr/lib/petsc64 SLEPC_DIR=/usr/lib/slepc64 to activate.
    - skip 64-bit build-time serial tests demo_stokes-iterative_serial
      and demo_curl-curl_serial
    - ignore errors in 64-bit MPI tests:
      "PETSc function 'KSPSolve' error code: 92 (See petsc
      linearsolvertable.html for possible LU and Cholesky solvers)
  * convert python3-dolfin to a base package providing dolfin.pth that
    Recommends: python3-dolfin-real. PETSc-specific dolfin module is
    installed under the PETSC_DIR it was built against and made
    accessible via dolfin.pth.
  * add debian patches
    - lib_rename.patch allows LIB_NAME_EXT to be defined as a suffix
      to the library name, to distinguish libdolfin.so from
      libdolfin64.so
    - cmake_find_petsc.patch ensures PETSc is found before loading
      Dolfin cmake rules (needed to check for 64-bit build)

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Jul 2020 16:27:09 +0800

dolfin (2019.2.0~git20200218.027d9cc-6) unstable; urgency=medium

  * dolfin-doc provides HTML documentation (Python and C++ API)
    - include .rst files (sphinx html docs references them in
      "View page source" links)

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Apr 2020 18:27:50 +0800

dolfin (2019.2.0~git20200218.027d9cc-5) unstable; urgency=medium

  * include mesh files in upload:
    git lfs pull; patch -p1 -R <debian/patches/git-lfs_fetch_demo_meshes

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 22:07:47 +0800

dolfin (2019.2.0~git20200218.027d9cc-4) unstable; urgency=medium

  * upload Cécile Daversin-Catty's snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 17:46:09 +0800

dolfin (2019.2.0~git20200218.027d9cc-3) experimental; urgency=medium


