=== debian/tests/control ===
Tests: test-dolfin-cpp, test-dolfin-python,
# test-dolfin64-cpp, test-dolfin64-python
Depends: @, @builddeps@,
	  python3-pytest,
	  python3-decorator,
	  python3-matplotlib,
	  python3-scipy
