## dolfin 2019.2.0~git20200629.946dbd3+lfs

=== debian/changelog ===
dolfin (2019.2.0~git20200629.946dbd3+lfs-4) unstable; urgency=medium

  * Team upload.
  * [7286d2a] Fix FTBFS. (Closes: #977222)
  * [47cdea3] Ignore quilt dir
  * [c8d8285] Remove unused patch
  * [8e0289b] Trim trailing whitespace.
  * [a251c1d] Use secure copyright file specification URI.
  * [c6c315f] debian/copyright: use spaces rather than tabs to start
              continuation lines.
  * [327629b] Remove unnecessary get-orig-source-target.
  * [615ba90] Drop transition for old debug package migration.
  * [d47166b] Respect CPPFLAGS

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2020 22:52:05 +0100

dolfin (2019.2.0~git20200629.946dbd3+lfs-3) unstable; urgency=medium

  * debian/tests: run C++ tests with Restrictions: allow-stderr
    to ignore compilation warnings (which are sent to stderr)
  * debian/tests: skip more python demos (iterative, block, meshview,
    assignment) on i386, armhf

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Nov 2020 03:46:18 +0800

dolfin (2019.2.0~git20200629.946dbd3+lfs-2) unstable; urgency=medium

  * debian/tests Depends: libblis-pthread-dev | libopenblas-pthread-dev
    (intention is to improve debci test times)
  * skip slow python demos (cahn-hilliard hyperelasticity
    elastodynamics navier-stokes elasticity) in debian/tests
  * debian patch demo_block-assembly-3D2D_relax.patch relaxes
    tolerance in 3D vector check.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Nov 2020 02:13:28 +0800

dolfin (2019.2.0~git20200629.946dbd3+lfs-1) unstable; urgency=medium

  * reset against upstream source containing lfs demo files
    (git archive from local clone instead of bitbucket download link)
   - drop debian patch git-lfs_fetch_demo_meshes and remove upstream
     source entries from debian/source/include-binaries
  * debian/tests: split python unit tests from python demos
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Nov 2020 20:29:06 +0800

dolfin (2019.2.0~git20200629.946dbd3-8) unstable; urgency=medium

  * [9f0767f] Fix compilation against Boost_1.74. (Closes: #974947)
  * Proper source-only upload with demo-files. (Closes: #975057)

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Nov 2020 17:09:19 +0100

dolfin (2019.2.0~git20200629.946dbd3-7) unstable; urgency=medium

  * Team upload.
  * [004980a] Revert "Fix compilation against Boost_1.74. (Closes: #975012)"

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Nov 2020 23:03:48 +0100

dolfin (2019.2.0~git20200629.946dbd3-6) unstable; urgency=medium

  * Team upload.
  * [9726492] Fix compilation against Boost_1.74. (Closes: #974948)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Nov 2020 18:03:48 +0100

dolfin (2019.2.0~git20200629.946dbd3-5) unstable; urgency=medium

  * Use -flto-partition=none on mips64el. Thanks Adrian Bunk.
    Drop debian patch pybind11_lto_mips64el.patch.
  * Build-Depends: graphviz to provide dot for building docs.
  * Build-Depends: python3-petsc4py, python3-slepc4py to provide .pth

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Nov 2020 01:18:39 +0800

dolfin (2019.2.0~git20200629.946dbd3-4) unstable; urgency=medium

  * skip slow serial tests on armel, armhf, alpha, riscv64
  * skip demo_cahn-hilliard_serial on all arches (everywhere slow)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Nov 2020 12:37:51 +0800

dolfin (2019.2.0~git20200629.946dbd3-3) unstable; urgency=medium

  * debian patch test_float128.patch runs unit/la/test_vector.py using
    numpy.longdouble instead of numpy.float128 on systems (32-bit arches)
    which do not support numpy.float128

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Oct 2020 01:08:21 +0800

dolfin (2019.2.0~git20200629.946dbd3-2) unstable; urgency=medium

  * python3-dolfin Depends: python3-petsc4py, python3-slepc4py
    (make sure base packages are available providing .pth files)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2020 23:18:53 +0800
