=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,9 @@
 N_MPI := 3
 N_MPI_TESTS = $(shell echo $$(( ($(N_CPU)+$(N_MPI)-1)/$(N_MPI) )) )
 
+# some tests run slow (> 1000 sec) on all arches
+ARCH_ALL_SKIP_SERIAL_TEST = demo_hyperelasticity_serial demo_cahn-hilliard_serial
+
 # hyperelasticity fails (diverges) on all arches (pivot factors too large, not enough memory assigned)
 # elastodynamics passes with dpkg-buildpackage but fails with pdebuild (on amd64). Unreliable, so skip.
 ARCH_ALL_SKIP_MPI_TEST = demo_hyperelasticity_mpi demo_elastodynamics_mpi
@@ -98,17 +101,21 @@
 
 # skip slow tests (> 500-1000 sec to complete)
 ifeq (armel, $(DEB_HOST_ARCH))
-  ARCH_SKIP_SLOW_TEST = demo_stokes-iterative_serial demo_auto-adaptive-navier-stokes_serial demo_hyperelasticity_serial demo_cahn-hilliard_serial
+  ARCH_SKIP_SLOW_TEST = demo_stokes-iterative_serial demo_auto-adaptive-navier-stokes_serial demo_elastodynamics_serial demo_sym-dirichlet-bc_serial demo_hyperelasticity_serial demo_cahn-hilliard_serial
+else ifeq (armhf, $(DEB_HOST_ARCH))
+  ARCH_SKIP_SLOW_TEST = demo_elastodynamics_serial demo_sym-dirichlet-bc_serial demo_hyperelasticity_serial
 else ifeq (mips, $(DEB_HOST_ARCH))
   ARCH_SKIP_SLOW_TEST = demo_eigenvalue_serial demo_navier-stokes_serial demo_auto-adaptive-poisson_serial demo_stokes-taylor-hood_serial demo_auto-adaptive-navier-stokes_serial demo_curl-curl_serial demo_elasticity_serial demo_stokes-iterative_serial demo_eval_serial demo_sym-dirichlet-bc_serial demo_elastodynamics_serial demo_eigenvalue_mpi demo_navier-stokes_mpi demo_curl-curl_mpi demo_elasticity_mpi demo_elastodynamics_mpi demo_sym-dirichlet-bc_mpi
 else ifeq (mipsel, $(DEB_HOST_ARCH))
   ARCH_SKIP_SLOW_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial
+else ifeq (alpha, $(DEB_HOST_ARCH))
+  ARCH_SKIP_SLOW_TEST = demo_elastodynamics_serial demo_sym-dirichlet-bc_serial demo_hyperelasticity_serial
 else ifeq (hppa, $(DEB_HOST_ARCH))
   ARCH_SKIP_SLOW_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial
 else ifeq (m68k, $(DEB_HOST_ARCH))
   ARCH_SKIP_SLOW_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial
 else ifeq (riscv64, $(DEB_HOST_ARCH))
-  ARCH_SKIP_SLOW_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial demo_cahn-hilliard_mpi demo_elastodynamics_mpi
+  ARCH_SKIP_SLOW_TEST = demo_elastodynamics_serial demo_sym-dirichlet-bc_serial demo_cahn-hilliard_serial demo_hyperelasticity_serial demo_cahn-hilliard_mpi demo_elastodynamics_mpi
 else ifeq (sparc64, $(DEB_HOST_ARCH))
   ARCH_SKIP_SLOW_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial demo_stokes-iterative_serial demo_cahn-hilliard_mpi demo_elastodynamics_mpi
 else
@@ -142,10 +149,3 @@
 ARCH_SKIP_ALL_TESTS_LIST = mips64el hurd-i386 m68k sh4
 
 # extract PETSc version from petsc-dev
-PETSC_DEB_VERSION=$(shell dpkg -s petsc-dev | awk '/Version:/ {print $2}')
-# extract the current PETSc version
-PETSC_UPSTREAM_VERSION=$(shell pkg-config --modversion PETSc)
-# "Major" version is the first number in the upstream version (major.minor.release)
-PETSC_MAJOR_VERSION=$(shell echo $(PETSC_UPSTREAM_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
-# "Minor" version is the second number in the upstream version (major.minor.release)
-PETSC_MINOR_VERSION=$(shell echo $(PETSC_UPSTREAM_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
