=== debian/changelog ===
dolfin (2019.2.0~git20201207.b495043-5) unstable; urgency=medium

  * use triple-slash (file:///) for mathjax local url replacement to
    make docs for demos properly legible.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jun 2021 13:23:16 +0200

dolfin (2019.2.0~git20201207.b495043-4) unstable; urgency=medium

  * debian/tests: add ppc64el to the list of arches skipping some tests
  * update test_relax_tolerance.patch to relax more tolerances in
    multimesh/test_volume.py for ppc64el.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jan 2021 17:09:57 +0100

dolfin (2019.2.0~git20201207.b495043-3) unstable; urgency=medium

  * skip failing mesh and multimesh tests on selected non-amd64 arches
    (arm64, i386, s390x)
  * update test_relax_tolerance.patch to relax multimesh test
    tolerances
  * display timings of 20 slowest python unit tests and demos

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jan 2021 11:40:28 +0100

dolfin (2019.2.0~git20201207.b495043-2) unstable; urgency=medium

  * add mipsel to the list of arches which fail MPI demo tests or run
    too slowly.
  * debian patch test_relax_tolerance.patch relaxes tolerance in
    test_incremental_assembly in unit/fem/test_system_assembler.py
  * apply "set -e" in debian/tests to register test failures

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jan 2021 19:59:23 +0100

dolfin (2019.2.0~git20201207.b495043-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jan 2021 16:48:33 +0100
