=== debian/control ===
--- 
+++ 
@@ -29,6 +29,8 @@
  mpi-default-dev,
  petsc-dev (>= 3.7),
  slepc-dev (>= 3.7),
+ python3-petsc4py,
+ python3-slepc4py,
  python3-petsc4py-real,
  python3-slepc4py-real,
  petsc64-dev (>= 3.7),
@@ -47,9 +49,10 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  doxygen,
+ graphviz,
  libjs-mathjax,
  libjs-modernizr
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dolfin.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dolfin
@@ -172,6 +175,7 @@
  python3-ffc (>= ${fenics:Upstream-Version}), python3-ffc (<< ${fenics:Next-Upstream-Version}),
  python3-ufl (>= ${fenics:Upstream-Version}), python3-ufl (<< ${fenics:Next-Upstream-Version}),
  python3-numpy,
+ ${python3-petsc4py:Depends},
  python3-ply,
  python3-pybind11 (>= ${pybind11:Upstream-Version}), python3-pybind11 (<< ${pybind11:Next-Upstream-Version}),
  python3-six,
@@ -204,7 +208,7 @@
 Depends:
  libdolfin-dev (= ${binary:Version}),
  libdolfin2019.2 (= ${binary:Version}),
- ${python3-petsc4py:Depends},
+ ${python3-petsc4py-real:Depends},
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
@@ -291,7 +295,7 @@
 Depends:
  libdolfin64-dev (= ${binary:Version}),
  libdolfin64-2019.2 (= ${binary:Version}),
- ${python3-petsc4py-64:Depends},
+ ${python3-petsc4py-64-real:Depends},
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
@@ -339,4 +343,3 @@
  ${misc:Depends},
  ${python3:Depends}
 Description: Executable scripts for DOLFIN
- DOLFIN is the Python and C++ interface of the FEniCS project for the
