=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 # Some arches fail the same MPI tests
 # e.g. cahn-hilliard, navier-stokes, elasticity, fails or exceeds allowed time
 # So skip these tests on the failing arches
-ARCH_SKIP_MPI_TEST_LIST = i386 ppc64el ia64
+ARCH_SKIP_MPI_TEST_LIST = i386 mipsel ppc64el ia64
 ARCH_SKIP_MPI_TEST = demo_cahn-hilliard_mpi demo_navier-stokes_mpi demo_elasticity_mpi
 
 # skip more MPI tests for some specific arches
@@ -76,7 +76,7 @@
 else ifeq (mips, $(DEB_HOST_ARCH))
   ARCH_SPECIFIC_SKIP_MPI_TEST = demo_cahn-hilliard_mpi demo_stokes-iterative_mpi demo_ale_mpi demo_poisson-disc_mpi
 else ifeq (mipsel, $(DEB_HOST_ARCH))
-  ARCH_SPECIFIC_SKIP_MPI_TEST = demo_cahn-hilliard_mpi demo_stokes-iterative_mpi demo_ale_mpi demo_poisson-disc_mpi
+  ARCH_SPECIFIC_SKIP_MPI_TEST = demo_stokes-iterative_mpi demo_ale_mpi demo_poisson-disc_mpi
 else ifeq (ppc64el, $(DEB_HOST_ARCH))
   ARCH_SPECIFIC_SKIP_MPI_TEST = demo_poisson_mpi demo_singular-poisson_mpi demo_sym-dirichlet-bc_mpi
 else ifeq (ia64, $(DEB_HOST_ARCH))
@@ -92,6 +92,8 @@
   ARCH_SPECIFIC_SKIP_SERIAL_TEST = demo_auto-adaptive-poisson_serial demo_elasticity_serial
 else ifeq (mips, $(DEB_HOST_ARCH))
   ARCH_SPECIFIC_SKIP_SERIAL_TEST = demo_cahn-hilliard_serial demo_hyperelasticity_serial
+else ifeq (mipsel, $(DEB_HOST_ARCH))
+  ARCH_SPECIFIC_SKIP_SERIAL_TEST = demo_elastodynamics_serial demo_sym-dirichlet-bc_serial
 else ifeq (sparc64, $(DEB_HOST_ARCH))
   ARCH_SPECIFIC_SKIP_SERIAL_TEST = demo_contact-vi-snes_serial
 else
@@ -146,6 +148,3 @@
 ARCH_SKIP_ALL_MPI_TESTS_LIST=armel armhf i386 hppa m68k powerpc
 
 # some arches just aren't keeping up at all, and fail non-MPI tests
-ARCH_SKIP_ALL_TESTS_LIST = mips64el hurd-i386 m68k sh4
-
-# extract PETSc version from petsc-dev
